Bug 43400 - Left and right page margin possible to drag-and-drop to meet and overlap
Summary: Left and right page margin possible to drag-and-drop to meet and overlap
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Page-Margins
  Show dependency treegraph
 
Reported: 2011-11-30 21:19 UTC by Georg
Modified: 2019-12-03 13:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Demonstration of the bug (2.18 MB, application/zip)
2011-11-30 21:25 UTC, Georg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Georg 2011-11-30 21:19:01 UTC
It's possible to drag-and-drop the left margin so that it meets the right margin and even overlaps with the right margin. This causes an inconsistency with the values and limitations in the page format dialog and just when the margins meet, all text is hidden (but not when overlapping).

Steps to reproduce:
1) Create a document with some text, images and other objects
2) For one line of text, move left indentation marker (the "hour glass" on the top ruler) 1 cm to the left
3) For the same line, move the right indentation marker (the "triangle" on the top ruler) 1 cm to the right
4) Drag-and-drop to left margin all the way over so it precisely meets the right margin.

Expected Result:
- The left margin should not be able to go within 0.2" of the right margin (the limitation from the page format dialog).

Actual Result:
- The left margin meets the right margin
- All text is hidden (not just the selected line)
- All objects just visible as a thin line

5) Open the "Format -> Page" dialog and go to the "Page" tab

Expected Result:
- The sum of the left margin and the right margin should equal the page width

Actual Result:
- The left margin and the right margin together is 0.2" smaller than the page width.

6) Drag-and-drop the left margin further to the right so that it overlaps the right margin

Expected Result:
- The left margin should not be able to go within 0.2" of the right margin.

Actual Result:
- The margins overlap
- All text and objects are visible again

Notes:
- See the attached video for demonstration of this bug
- MS Word does not seem to have this behavior

Platform:
Libre Office: LibreOffice 3.3.4, OOO330m19 (Build:401), tag libreoffice-3.3.3.1, Ubuntu package 1:3.3.4-0ubuntu1
Ubuntu 11.04: 2.6.38-13-generic #52-Ubuntu SMP x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Georg 2011-11-30 21:25:25 UTC
Created attachment 53988 [details]
Demonstration of the bug

Attachment was too big. Trying with a zipped version.
Comment 2 sasha.libreoffice 2012-04-27 06:23:44 UTC
reproduced moving page margin past each other and disappearing of text 
in 3.3.4 and 3.5.2 on Fedora 64 bit and in 3.5.2 on Windows 7 32 bit
Comment 3 QA Administrators 2015-01-05 17:51:22 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-01-22 13:48:13 UTC
Still possible to do this.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 07e84cae983c08afdba03018413a19d01abb3006
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-19_06:15:38
Comment 5 QA Administrators 2016-02-21 08:35:18 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 15:12:49 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-03 13:58:56 UTC
Dear Georg,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug